package service

import (
	"dubbo.apache.org/dubbo-go/v3/config"

	"fonchain-fiee/api/bundle"
	"fonchain-fiee/api/order"
)

var BundleProvider = new(bundle.BundleClientImpl)
var OrderProvider = new(order.OrderClientImpl)

func init() {
	config.SetConsumerService(BundleProvider)
	config.SetConsumerService(OrderProvider)

	if err := config.Load(); err != nil {
		panic(err)
	}
}
